<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://kit.fontawesome.com/e1a2be1049.js" crossorigin="anonymous"></script>
    <title>Cards</title>
    <style>
        @import url('https://fonts.googleapis.com/css2?family=Inter&display=swap');
        body{
            font-family:'Inter&display', 'Lucida Sans';
            margin:0;
        }

        .cards{
            display: flex;
            align-items: center;
            justify-content: space-around;
            background: rgb(241, 243, 247);
            border-radius: 15px;
            padding: 20px 0;
            gap: 25px;
            flex-wrap: wrap;
        }
        .card{
            /* height: 40vh; */
            display: flex;
            position: relative;
            flex-direction: column;
            width: 260px;
            background:white;
            border-radius: 10px;
            color: rgba(128, 128, 128, 0.3);
            cursor: pointer;
        }
        .top{
            position: relative;
            height: 43.5px;
        }
        .content{
            height: 180px;
            display: flex;
            flex-direction: column;
            align-items: center;
        }
        .bottom{
            display: flex;
            border-top: 3px solid rgba(128, 128, 128, 0.3);
            padding-bottom: 10px ;
            flex-direction: row;
            justify-content: space-around;
        }

        .num1,.num2{
            color: black;
            padding-top: 10px;
            padding-left:10px ;
        }
        img{
            width: 100px;
            height: 100px;
            margin-bottom: 5px;
            border-radius: 50%;
        
        }
        .name{
            padding-top: 10px;
            color: black;
            height: 30px;
        }
        .card:hover{
            transform: scale(1.06);
            /* outline: 2px solid rgb(38, 122, 248);better to use outline rather than  border */

        }
        .location{
            size: 1px;
            padding-right: 6px;
        }
       .b1, .b2{
            width: 125;
            text-align: center;
            margin-top: 2%;
        }
        .b2{
            padding-right: 10px;
        }
        .gap{
            margin: 11px 0;
            border-left: 2.5px solid rgba(128, 128, 128, 0.3);
        }
        .fa-trash{
            position: absolute;
            right: 5px;
            top:5px;
            opacity: 0;
        }
        input{
            display: none ;
        }
        input:checked +.card .top .customcheck + .fa-trash{
            opacity: 1;
        }
        .customcheck::before{
            content: '';
            position: absolute;
            left: 5px;
            top: 5px;
            width: 17px;
            height: 17px;
            border-radius: 50%;
            background-color:white;
            cursor: pointer;
            border: 2px solid rgba(128, 128, 128, 0.3);
        }
        .customcheck::after{
            cursor: pointer;
            position:absolute;
            top: 8px;
            left: 8px;
            width: 7px;
            height: 3px;
            content: '';
            border: 2px solid ;
            border-color: transparent transparent white white;
            transform: rotate(-45deg);
            opacity: 0;
        }
        input:checked +.card .top .customcheck::before{
            background-color: rgb(77, 77, 255);
            border: none;
            box-shadow:  1px 1px 1.7px 1px rgb(77, 77, 255);
        }
        input:checked +.card .top .customcheck::after{
            opacity: 1;
        }
        input:checked ~ .card{
            outline: 2px solid rgb(77, 77, 255);
        }
    </style>
</head>
<body>
<div class="cards">
    <label>
        <input type="checkbox">
    <div class="card">
        <div class="top">
            <div class="customcheck"></div>
            <i class="fas fa-trash"></i>
        </div>
        <div class="content">
            <div class="image"><img src="one.png"  alt="first pic"></div>
            <div class="name"><strong> Alan Podemski</strong></div>
            <div class="location"><i class="fas fa-map-marker-alt"></i> Poland</div>
        </div>
        <div class="bottom">
        <div class="b1">
            <div class="followers">Followers</div>
            <div class="num1"><strong>6941</strong></div>
        </div>
        <div class="gap"></div>
        <div class="b2">
            <div class="following">Following</div>
            <div class="num2"><strong>413</strong></div>
        </div>
        </div>
    </div>
    </label>
    <label>
        <input type="checkbox">
    <div class="card">
        <div class="top" ><div class="customcheck"></div>
            <i class="fas fa-trash"></i>
        </div>
        <div class="content">
            <div class="image"><img src="two.jfif"  alt="first pic"></div>
            <div class="name"><strong> Harshal Roy</strong></div>
            <div class="location"><i class="fas fa-map-marker-alt"></i> India</div>
        </div>
        <div class="bottom">
        <div class="b1">
            <div class="followers">Followers</div>
            <div class="num1"><strong>6301</strong></div>
        </div>
        <div class="gap"></div>
        <div class="b2">
            <div class="following">Following</div>
            <div class="num2"><strong>4013</strong></div>
        </div>
        </div>
    </div>
    </label>
    <label>
        <input type="checkbox">
    <div class="card">
        <div class="top"><div class="customcheck"></div>
            <i class="fas fa-trash"></i>
        </div>
        <div class="content">
            <div class="image"><img src="three.jfif"  alt="first pic"></div>
            <div class="name"><strong> Marez Perez</strong></div>
            <div class="location"><i class="fas fa-map-marker-alt"></i> Franch</div>
        </div>
        <div class="bottom">
        <div class="b1">
            <div class="followers">Followers</div>
            <div class="num1"><strong>6491</strong></div>
        </div>
        <div class="gap"></div>
        <div class="b2">
            <div class="following">Following</div>
            <div class="num2"><strong>502</strong></div>
        </div>
        </div>
    </div>
    </label>
    <label>
        <input type="checkbox"> 
           <div class="card">
        <div class="top"><div class="customcheck"></div>
            <i class="fas fa-trash"></i>
        </div>
        <div class="content">
            <div class="image"><img src="four.jpg"  alt="first pic"></div>
            <div class="name"><strong> Anthony</strong></div>
            <div class="location"><i class="fas fa-map-marker-alt"></i> Italy</div>
        </div>
        <div class="bottom">
        <div class="b1">
            <div class="followers">Followers</div>
            <div class="num1"><strong>1267</strong></div>
        </div>
        <div class="gap"></div>
        <div class="b2">
            <div class="following">Following</div>
            <div class="num2"><strong>473</strong></div>
        </div>
        </div>
    </div>
    </label>
</div>
</body>
</html>